%define uname icecast
%define gname icecast

Summary: Icecast - Streaming Media Server
Name: icecast
Version: 1.3.12
Release: 4
Group: Applications/Multimedia
License: GPL
URL: http://www.icecast.org
Source0: http://www.icecast.org/releases/%{name}-%{version}.tar.bz2
Source1: icecast.init
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: /usr/sbin/useradd /sbin/chkconfig


%description
Icecast is an Internet based broadcasting system based on the Mpeg Layer III
streaming technology.  It was originally inspired by Nullsoft's Shoutcast
and also mp3serv by Scott Manley.  The icecast project was started for several
reasons: a) all broadcasting systems were pretty much closed source,
non-free software implementations, b) Shoutcast doesn't allow you to run your
own directory servers, or support them, and c) we thought it would be a
lot of fun.

%prep
%setup -q

%build
%configure --enable-fsstd --with-libwrap
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# copy the configuration files to be the right name so that it works without 
# _having_ # to change them (though they should), and leave the defaults so 
# they don't screw with them
cp $RPM_BUILD_ROOT/etc/icecast/icecast.conf.dist $RPM_BUILD_ROOT/etc/icecast/icecast.conf
cp $RPM_BUILD_ROOT/etc/icecast/groups.aut.dist $RPM_BUILD_ROOT/etc/icecast/groups.aut
cp $RPM_BUILD_ROOT/etc/icecast/mounts.aut.dist $RPM_BUILD_ROOT/etc/icecast/mounts.aut
cp $RPM_BUILD_ROOT/etc/icecast/users.aut.dist $RPM_BUILD_ROOT/etc/icecast/users.aut

%{__mkdir_p} $RPM_BUILD_ROOT/etc/rc.d/init.d
%{__install} -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/icecast

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING FAQ README TESTED ChangeLog TODO doc/manual.html
%{_prefix}/sbin/icecast
%attr(775,root,%{gname}) %dir /var/log/icecast
/usr/share/icecast/
%attr(750,root,%{gname}) %dir /etc/icecast
%attr(640,root,%{gname}) /etc/icecast/groups.aut.dist
%attr(640,root,%{gname}) /etc/icecast/mounts.aut.dist
%attr(640,root,%{gname}) /etc/icecast/users.aut.dist
%attr(640,root,%{gname}) /etc/icecast/icecast.conf.dist
%attr(640,root,%{gname}) %config(noreplace) /etc/icecast/groups.aut
%attr(640,root,%{gname}) %config(noreplace) /etc/icecast/mounts.aut
%attr(640,root,%{gname}) %config(noreplace) /etc/icecast/users.aut
%attr(640,root,%{gname}) %config(noreplace) /etc/icecast/icecast.conf
%config /etc/rc.d/init.d/icecast

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
# XXX previously we used just icecast group, not user, so we have to get rid
# XXX of this group
groupdel %{gname} >/dev/null 2>&1 || :
# create user (and group) for icecast
/usr/sbin/useradd -c "IceCast" -s /bin/false -r \
	-d /usr/share/icecast/static %{uname} >/dev/null 2>&1 || :

%post
chkconfig --add icecast

%preun
if [ "$1" = 0 ] ; then
	chkconfig --del icecast
fi

%postun
if [ $1 = 0 ] ; then
	userdel %{uname} >/dev/null 2>&1 || :
fi

%changelog
* Sun Sep 22 2002 Peter Hanecak <hanecak@megaloman.sk>
[1.3.12-4]
- do not run icecast as root

* Mon Sep 16 2002 Peter Hanecak <hanecak@megaloman.sk>
[1.3.12-3]
- "chkconfig --add icecast off" changed back to "chkconfig --add icecast"

* Fri Sep 13 2002 Peter Hanecak <hanecak@megaloman.sk>
[1.3.12-2]
- synchronized with RedHat's icecast 1.3.11-1 package
- prerequires /usr/sbin/groupadd and /sbin/chkconfig
- "chkconfig --add icecast" changed to "chkconfig --add icecast off"

* Thu Apr 11 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to 1.3.12

* Mon Dec  3 2001 Peter Hanecak <hanecak@megaloman.sk>
  [1.3.11-1]
- incorporated stuff from original icecast spec file
- .bz2 source archiv
- s/Copyright/License

* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- add patch to fix string format vulnerability (reported to bugtraq by
- built for 7.0
  cyrax@pkcrew.org, by by him also )

* Mon Jan 22 2001 Tim Powers <timp@redhat.com>
- update to 1.3.8.beta2

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Mon Nov 13 2000 Tim Powers <timp@redhat.com>
- updated to 1.3.7

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun  4 2000 Peter Hanecak <hanecak@megaloman.sk>
  [1.3.5-2]
- icecast group

* Mon May 15 2000 Tim Powers <timp@redhat.com>
- use %configure instead of ./configure
- removed redundant defines
- removed vendor header (Red Hat policy)
- quiet setup

* Fri Apr 21 2000 Arne Coucheron <arneco@online.no>
  [1.3.5-1]
- several changes in the spec file
- changed the init script

* Tue Mar 21 2000 Jeremy Katz <katzj@icecast.org>
- clean up the spec file a little

* Thu Dec 9 1999 Jeremy Katz <katzj@icecast.org>
- First official rpm build, using 2.0.0-beta

* Fri Jul 16 1999 Arne Coucheron <arneco@online.no>
  [1.3.0-1]
- added more documentation
- deactivation of icecast init file moved to %preun
- some changes in the %install section
- changed Group: tag

* Tue Apr 13 1999 Arne Coucheron <arneco@online.no>
  [1.1.4-1]
- added serial tag to let it make it into RH contrib

* Mon Mar 13 1999 Arne Coucheron <arneco@online.no>
  [1.1.3-1]
- added liveice program and config file

* Fri Mar 05 1999 Arne Coucheron <arneco@online.no>
  [1.1.2-1]

* Wed Mar 03 1999 Arne Coucheron <arneco@online.no>
  [1.1.0-2]
- a small change in the init script

* Tue Mar 02 1999 Arne Coucheron <arneco@online.no>
  [1.1.0-1]
- first RPM build
